Project

General

Profile

完成 #291 » test.txt

余 顺, 03/30/2026 06:42 AM

 
diff --git a/platform/framework/auto/rootfs/etc/mount-sd.sh b/platform/framework/auto/rootfs/etc/mount-sd.sh
index eee01ab9f1..63abc0ef6b 100755
--- a/platform/framework/auto/rootfs/etc/mount-sd.sh
+++ b/platform/framework/auto/rootfs/etc/mount-sd.sh
@@ -38,46 +38,46 @@ for mmc in `ls -d mmc*`; do
fi
done
-MODEL=$(cat /proc/device-tree/model)
-if [[ "$MODEL" = "small-t113-s3" ]];then
- chip=small_t113
-elif [[ "$MODEL" = "U7-t113-s3" ]];then
- chip=U7_t113
-elif [[ "$MODEL" = "rp-t113-s3" ]];then
- chip=t113
-else
- chip=t113_i
-fi
+#MODEL=$(cat /proc/device-tree/model)
+#if [[ "$MODEL" = "small-t113-s3" ]];then
+# chip=small_t113
+#elif [[ "$MODEL" = "U7-t113-s3" ]];then
+# chip=U7_t113
+#elif [[ "$MODEL" = "rp-t113-s3" ]];then
+# chip=t113
+#else
+# chip=t113_i
+#fi
-sleep 1
-if [ -e $MOUNT_FLASH/testApp/$chip/DeviceTest ] || [ -e $mountpoint/testApp/$chip/DeviceTest ];then
-
- cp $MOUNT_FLASH/testApp/$chip/deviceTest.ini /etc
- cp $MOUNT_FLASH/testApp/$chip/DeviceTest /
-
- cp $mountpoint/testApp/$chip/deviceTest.ini /etc
- cp $mountpoint/testApp/$chip/DeviceTest /
+#sleep 1
+#if [ -e $MOUNT_FLASH/testApp/$chip/DeviceTest ] || [ -e $mountpoint/testApp/$chip/DeviceTest ];then
+#
+# cp $MOUNT_FLASH/testApp/$chip/deviceTest.ini /etc
+# cp $MOUNT_FLASH/testApp/$chip/DeviceTest /
+#
+# cp $mountpoint/testApp/$chip/deviceTest.ini /etc
+# cp $mountpoint/testApp/$chip/DeviceTest /
- chmod a+x /DeviceTest
- if [[ "$MODEL" = "rp-t113-s3" ]] || [[ "$MODEL" = "rp-t113-i" ]];then
- source /etc/qtenv.sh
- killall Launcher
- fbinit &
- /DeviceTest &
- else
- source $mountpoint/testApp/$chip/qtenv.sh
- source $MOUNT_FLASH/testApp/$chip/qtenv.sh
- fi
- #source $MOUNT_DIR/mmcblk1p1/testApp/t113/qtenv.sh
- echo Opening the application succeeded from sd > $CONSOLE
+# chmod a+x /DeviceTest
+# if [[ "$MODEL" = "rp-t113-s3" ]] || [[ "$MODEL" = "rp-t113-i" ]];then
+# source /etc/qtenv.sh
+# killall Launcher
+# fbinit &
+# /DeviceTest &
+# else
+# source $mountpoint/testApp/$chip/qtenv.sh
+# source $MOUNT_FLASH/testApp/$chip/qtenv.sh
+# fi
+# #source $MOUNT_DIR/mmcblk1p1/testApp/t113/qtenv.sh
+# echo Opening the application succeeded from sd > $CONSOLE
-else
- source /etc/qtenv.sh
- /usr/bin/DeviceTest &
- if [ $? -eq 0 ];then
- echo Opening the application succeeded > $CONSOLE
- else
- echo Opening fail > $CONSOLE
- fi
-fi
+#else
+# source /etc/qtenv.sh
+# /usr/bin/DeviceTest &
+# if [ $? -eq 0 ];then
+# echo Opening the application succeeded > $CONSOLE
+# else
+# echo Opening fail > $CONSOLE
+# fi
+#fi
(3-3/3)